Bug 192588 - Animations lopping off the top of the text
Animations lopping off the top of the text
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-05-21 06:23 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.3-3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-24 12:38:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Demonstration file for text animation bug (1.06 MB, application/vnd.oasis.opendocument.presentation)
2006-05-21 06:23 EDT, Paul F. Johnson
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 64797 None None None Never
OpenOffice.org 65683 None None None Never

  None (edit)
Description Paul F. Johnson 2006-05-21 06:23:29 EDT
Created attachment 129778 [details]
Demonstration file for text animation bug
Comment 1 Paul F. Johnson 2006-05-21 06:23:29 EDT
Description of problem:
If I have some text which is static, the entire text is displayed. If I then
animate the text, a portion from the top of each animated text line is removed.
The biter is this - if I import from OODraw, select some text and apply some
animation to that, the text remains happy and unlopped!

Version-Release number of selected component (if applicable):
OOo Impress 2.0.3-2.1

How reproducible:
Actual results:
See attached text - slide 1 has static text and animated (slide in) text. slide
2 has an image imported from OOo draw, but with the text selected to appear on click

Expected results:
The text should remain intact irrespective of how I animate the presentation

Additional info:
Comment 2 Caolan McNamara 2006-05-21 07:34:25 EDT
Looks like a bug with the experimental "cairocanvas", e.g. 
mv /usr/openoffice.org/program/cairocanvas.uno.so /tmp
and try again.
Comment 3 Paul F. Johnson 2006-05-21 08:21:03 EDT
Yep, that's got it. Do you want the bug leaving open?
Comment 4 Caolan McNamara 2006-05-22 03:12:54 EDT
Leave it open, I have to decide whether to try and start helping to fix the
cairocanvas, or disable it again.

Pro: Lovely smooth diagonal lines and antialiasing etc, pretty.
Con: Seems *real* *real* slow to me :-(
Comment 5 Caolan McNamara 2006-05-23 08:04:27 EDT
I think I'll default it off until upstream fixes that problem, then we'll
probably need a test to see if acceleration is available and default on if it is
and off if not

Note You need to log in before you can comment on or make changes to this bug.